Bug 869901

Summary: [abrt] pptp-1.7.2-14.fc17: binary_search: Process /usr/sbin/pptp was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Pizhong Zhou <zpz>
Component: pptpAssignee: Paul Howarth <paul>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: marsanix, paul
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:5621412cab7baf6b84f29eac7e911d98dfd437f0
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 13:58:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: core_backtrace
none
File: environ
none
File: limits
none
File: backtrace
none
File: cgroup
none
File: smolt_data
none
File: maps
none
File: dso_list
none
File: var_log_messages none

Description Pizhong Zhou 2012-10-25 02:10:10 EDT
Version-Release number of selected component:
pptp-1.7.2-14.fc17

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /sbin/pptp 74.82.186.59 --nolaunchpppd --loglevel 0 --logstring nm-pptp-service-5800
crash_function: binary_search
kernel:         3.6.2-4.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (7 frames)
: #0 binary_search at vector.c:149
: #1 vector_contains at vector.c:138
: #2 pptp_call_destroy at pptp_ctrl.c:410
: #3 pptp_conn_destroy at pptp_ctrl.c:449
: #4 callmgr_main at pptp_callmgr.c:304
: #5 launch_callmgr at pptp.c:527
: #6 open_callmgr at pptp.c:496
Comment 1 Pizhong Zhou 2012-10-25 02:10:13 EDT
Created attachment 633171 [details]
File: core_backtrace
Comment 2 Pizhong Zhou 2012-10-25 02:10:15 EDT
Created attachment 633172 [details]
File: environ
Comment 3 Pizhong Zhou 2012-10-25 02:10:18 EDT
Created attachment 633173 [details]
File: limits
Comment 4 Pizhong Zhou 2012-10-25 02:10:21 EDT
Created attachment 633174 [details]
File: backtrace
Comment 5 Pizhong Zhou 2012-10-25 02:10:23 EDT
Created attachment 633175 [details]
File: cgroup
Comment 6 Pizhong Zhou 2012-10-25 02:10:25 EDT
Created attachment 633176 [details]
File: smolt_data
Comment 7 Pizhong Zhou 2012-10-25 02:10:27 EDT
Created attachment 633177 [details]
File: maps
Comment 8 Pizhong Zhou 2012-10-25 02:10:29 EDT
Created attachment 633178 [details]
File: dso_list
Comment 9 Pizhong Zhou 2012-10-25 02:10:33 EDT
Created attachment 633179 [details]
File: var_log_messages
Comment 10 Adam Jackson 2013-01-04 16:36:51 EST

*** This bug has been marked as a duplicate of bug 772364 ***
Comment 11 Adam Jackson 2013-01-04 16:49:44 EST
Misfire, sorry.
Comment 12 Fedora End Of Life 2013-07-04 02:25:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 13:58:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.